<?php

namespace Packages\Product\Http\Requests;
use Packages\Product\Http\Controllers\Product;
use Illuminate\Foundation\Http\FormRequest;

class ProductRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'title' => 'required|max:100',
            'price' => 'required',
            'type' => 'required',
            'status' => 'required',
            'discription' => 'required',
            'categories.*' => 'required',

        ];
    }
    public function messages()
    {
        return [
            'title.required' => 'فیلد عنوان الزامی می باشد.',
            'price.required' => 'فیلد قیمت الزامی می باشد.',
            'type.required' => 'فیلد نوع محصول الزامی می باشد.',
            'status.required' => 'فیلد وضعیت الزامی می باشد.',
            'discription.required' => 'فیلد توضیحات الزامی می باشد.',
            'categories[].required' => 'فیلد دسته بندی محصول الزامی می باشد.',

        ];
    }
}
